[arch-commits] Commit in valkyrie/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 02:07:01 EDT 2009


    Date: Sunday, April 19, 2009 @ 02:07:00
  Author: eric
Revision: 35971

upgpkg: valkyrie 1.3.0-1
    Upstream update, Added license, Added libxi depends, Added/Fixed docs

Modified:
  valkyrie/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-19 02:15:08 UTC (rev 35970)
+++ PKGBUILD	2009-04-19 06:07:00 UTC (rev 35971)
@@ -2,24 +2,24 @@
 # Maintainer : Aaron Griffin <aaron at archlinux.org>
 
 pkgname=valkyrie
-pkgver=1.2.0
-pkgrel=2
-pkgdesc="an open-source graphical user interface for the valgrind 3.X line"
+pkgver=1.3.0
+pkgrel=1
+pkgdesc="An open-source graphical user interface for the valgrind 3.X line"
 arch=(i686 x86_64)
 url="http://www.open-works.co.uk/projects/valkyrie.html"
-depends=(valgrind qt3)
+license=('GPL2')
+depends=('valgrind' 'qt3' 'libxi')
 source=(http://valgrind.org/downloads/$pkgname-$pkgver.tar.bz2)
-md5sums=('231982dc7063593f15ed2f93b85d0b2e')
-options=('keepdocs')
+md5sums=('ec7069a23ec90670be74d3fc3a46f574')
 
 build()
 {
   . /etc/profile.d/qt3.sh
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr 
-  sed -i "s|#define VK_DOC_PATH.*|#define VK_DOC_PATH \"/share/doc/\"|g" config.h
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
+  sed -i "s|#define VK_DOC_PATH.*|#define VK_DOC_PATH \"/share/doc/valkyrie/\"|g" config.h || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
-  mkdir -p $startdir/pkg/usr/share
-  mv $startdir/pkg/usr/doc $startdir/pkg/usr/share
+  make DESTDIR=$pkgdir docdir=/usr/share/doc/valkyrie install || return 1
+  install -d $pkgdir/usr/share/doc/valkyrie/images/
+  mv $pkgdir/usr/share/doc/valkyrie/*.png $pkgdir/usr/share/doc/valkyrie/images/
 }



More information about the arch-commits mailing list